Subject: Apple Tarte Tatin
From: "Hilary Gwilt" <[email-masked]>
Date: 3 May 2000 10:16:31 -0600
Newsgroups: rec.food.recipes

Apple Tarte Tatin

Betty Crocker to the rescue:

2 Tbsp. butter or margarine
1/2 cup. packed brown sugar
8 large, tart apples (about 3 lb.), pared and cut into eighths
1/2 package (17 1/2 oz size) frozen puff pastry, thawed
Apple Chantilly Cream (below)

Heat margarine and brown sugar in 10-inch oven proof skillet over medium heat, 
stirring constantly, till melted. Stir in apples. Cook 20-25 min., stirring 
frequently, till syrup thickens, then remove from heat. Heat oven to 400. Roll 
pastry into 10 1/2 inch square on lightly floured surface. Cut into 10 1/2 inch 
circle. Fold pastry into fourths, cut slits in seams so steam can escape. Place 
over apples and unfold; carefully tuck edges down around apples. Bake 10-15 
minutes or till pastry is golden brown and puffed. Let stand 5 minutes (prepare 
Cream in the meantime), then invert pan onto heatproof serving plate.  Serve 
with Cream.

Apple Chantilly Cream:
1 cup heavy whipping cream
1 tablespoon apple brandy or Calvados

Beat ingredients in chilled medium bowl until soft peaks form.

Enjoy
Hilary
--
~~Rec.food.recipes is moderated; only recipes and recipe requests are 
accepted for posting.  Please read the FAQ posted weekly Recipes/requests
go to [email-masked]; questions/comments to [email-masked].
Please allow several days for your submission to appear.